/**
* Columns
* v1.0
*/


// Column
// An element that is in a row with other elements.
// It'll have a horizontal gap between the elements ($gutter-width).
// It can have a margin-bottom ($gutter-height).
@mixin column($cols: 2, $gutter-width: $gutter-regular, $gutter-height: $gutter-regular, $float-dir: left) {
  $col-width: calc( (100% - #{$gutter-width} * (#{$cols} - 1)) / #{$cols});

  $last-col: $cols + "n";
  $first-col: $last-col + " - " + ($cols - 1);

// float: $float-dir;
width: $col-width;
margin-left: $gutter-width / 2;
margin-right: $gutter-width / 2;

&:nth-child(n + #{$cols + 1}) {
  margin-top: $gutter-height;
}

&:nth-child(#{$first-col}) {
  margin-left: 0;
  clear: $float-dir;
}
&:nth-child(#{$last-col}) {
  margin-right: 0;
}
}


@mixin cols-2-3-4-6 {
// @include group; // Needed because children are floated.
display: flex;
flex-wrap: wrap;

& > * {
    flex: 0 0 auto; // 1 1 0;
  }

  li + li {
    margin-top: 0;
  }

  & > li,
  & > * {
    margin-left: 0;
    margin-right: 0;
  }
}
@mixin cols-2($gutter-width: $gutter-regular, $gutter-height: $gutter-regular) {
  @include cols-2-3-4-6;

  & > li,
  & > * {
    @media all and (max-width: $w-regular) {
      &:nth-child(n + 2) {
        margin-top: $gutter-height;
      }
    }
    @media all and (min-width: $w-regular) {
      @include column(2, $gutter-width, $gutter-height);
    }
  }
}
@mixin cols-3($gutter-width: $gutter-regular, $gutter-height: $gutter-regular) {
  @include cols-2-3-4-6;

  & > li,
  & > * {
    @media all and (max-width: $w-narrow) {
      &:nth-child(n + 2) {
        margin-top: $gutter-height;
      }
    }
    @media all and (min-width: $w-narrow) and (max-width: $w-regular) {
      @include column(2, $gutter-width, $gutter-height);
    }
    @media all and (min-width: $w-regular) {
      @include column(3, $gutter-width, $gutter-height);
    }
  }
}
@mixin cols-4($gutter-width: $gutter-regular, $gutter-height: $gutter-regular) {
  @include cols-2-3-4-6;

  & > li,
  & > * {
    @media all and (max-width: $w-narrow) {
      &:nth-child(n + 2) {
        margin-top: $gutter-height;
      }
    }
    @media all and (min-width: $w-narrow) and (max-width: $w-regular) {
      @include column(2, $gutter-width, $gutter-height);
    }
    @media all and (min-width: $w-regular) {
      @include column(4, $gutter-width, $gutter-height);
    }
  }
}
@mixin cols-6($gutter-width: $gutter-regular, $gutter-height: $gutter-regular) {
  @include cols-2-3-4-6;

  & > li,
  & > * {
    @media all and (max-width: $w-narrow) {
      &:nth-child(n + 2) {
        margin-top: $gutter-height;
      }
    }
    @media all and (max-width: $w-narrow) {
      @include column(2, $gutter-width, $gutter-height);
    }
    @media all and (min-width: $w-narrow) and (max-width: $w-regular) {
      @include column(3, $gutter-width, $gutter-height);
    }
    @media all and (min-width: $w-regular) {
      @include column(6, $gutter-width, $gutter-height);
    }
  }
}

.cols-2 {
  @include cols-2;
}
.cols-3 {
  @include cols-3;
}
.cols-4 {
  @include cols-4;
}
.cols-6 {
  @include cols-6;
}

.cols-4.gutter-none {
  @include cols-4(0%, 0%);
}

/** ----------------------------------------------------------------------------
*                             display flex
*/
.cols {
  display: block;
  @media all and (min-width: 600px) {
    display: flex;
  }

  & > * {
    flex: 1 1 0;
    @media all and (max-width: 600px) {
      margin-bottom: 1em;
    }
  }
}
/** ----------------------------------------------------------------------------
*                              Grid (Home gallery)
*/

$gutter: 0px;
$grid-width: $site_max_width;

.grid {
// background: rgba(red, 0.3); // For dev only
display: flex;
flex-wrap: wrap;

& > div {
  margin-bottom: $gutter;
  height: auto;
  width: 100%;
  padding: 0;
  margin: 0;
  
  $columns: 2;
  width: calc((100% - (#{$columns} - 1) * #{$gutter}) / #{$columns});
  @media all and (max-width: 600px) {
  }
  // @media all and (min-width: 800px) {
  //   $columns: 3;
  //   width: calc((100% - (#{$columns} - 1) * #{$gutter}) / #{$columns});
  // }
  @media all and (min-width: 600px) {
    $columns: 4;
    width: calc((100% - (#{$columns} - 1) * #{$gutter}) / #{$columns});
  }
}
}